openal_listener_get
openal_source_create
OpenAL Functions
PHP Manual

# openal_listener_set

(PECL openal >= 0.1.0)

openal_listener_set — Set a listener property

### Description

bool openal_listener_set ( int `$property` , mixed `$setting` )

### Parameters

`property`

  Property to set, one of: `AL_GAIN` (float), `AL_POSITION` (array(float,float,float)), `AL_VELOCITY` (array(float,float,float)) and `AL_ORIENTATION` (array(float,float,float)).

`setting`

  Value to set, either float, or an array of floats as appropriate.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- openal_listener_get() - Retrieve a listener property

openal_listener_get
openal_source_create
OpenAL Functions
PHP Manual